### A free/open-source library for quantitative finance

Classes | Typedefs
ql/termstructures/inflation/interpolatedyoyinflationcurve.hpp File Reference

Inflation term structure based on the interpolation of year-on-year rates. More...

`#include <ql/termstructures/inflationtermstructure.hpp>`
`#include <ql/termstructures/interpolatedcurve.hpp>`
`#include <ql/math/interpolations/linearinterpolation.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <utility>`
Include dependency graph for interpolatedyoyinflationcurve.hpp:

## Classes

class | InterpolatedYoYInflationCurve< Interpolator >
| Inflation term structure based on interpolated year-on-year rates. More...

## Typedefs

typedef InterpolatedYoYInflationCurve < Linear > | YoYInflationCurve

## Detailed Description

Inflation term structure based on the interpolation of year-on-year rates.